[Libva] [PATCH 1/9] autogen.sh: fix out of tree invocation

Emil Velikov emil.l.velikov at gmail.com
Thu Sep 18 09:45:39 PDT 2014


Signed-off-by: Emil Velikov <emil.l.velikov at gmail.com>
---
 autogen.sh | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/autogen.sh b/autogen.sh
index f5164d8..626d213 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,7 +1,14 @@
 #! /bin/sh
 
-autoreconf -v --install
+srcdir=`dirname "$0"`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd "$srcdir"
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
 
 if test -z "$NOCONFIGURE"; then
-    ./configure "$@"
+    "$srcdir"/configure "$@"
 fi
-- 
2.1.0



More information about the Libva mailing list